#!/bin/sh
# Automagically invokes wish\
exec wish $0
#========================================================================
# NOM: TkIMHelp
# ROL: Minimal on-line help.
#
#                            -oOo-
#
#      This source can be distributed without any permission.
#      If you use it, tell me about it !
#
#      Ce source est distribuable sans autorisation.
#      S'il vous a servi, dites le moi !
#
# AUT: AnkiF (ankif@mailoman.com)
#
# $Id: TkIMhelp.tcl,v 2.1 2000/05/09 02:11:25 fran Exp $
#
#========================================================================


  if {![info exists g_handleimage]} {
      wm withdraw .
      tk_messageBox -icon error -type ok \
         -message "This script must be run from TkImgMap"
      exit
  }


#========================================================================
# FCT: insere_icone
# ROL: Draw an icon on the canvas at the specified position, and
#      add a grey background.
# ARG: c       (I): Canvas
#      x,y     (I): Upper-left coordinates
#      icon    (I): Icon image handle
#
#========================================================================
proc insere_icone { c x y icone } {

  set xdeb [expr $x-5]
  set ydeb [expr $y-5]
  set xfin [expr $x+36]
  set yfin [expr $y+36]
  $c create rect $xdeb $ydeb $xfin $yfin -width 1 -fill gray
  set item [$c create image $x $y -image $icone -anchor nw]
}



#========================================================================
# FCT: insere_comment
# ROL: Insert comment at the specified position.
# ARG: c       (I): Canvas
#      x,y     (I): Upper-left coordinates
#      texte   (I): Text to write
#
#========================================================================
proc insere_comment { c x y texte } {

  incr x 40
  $c create text $x $y -anchor nw -text $texte
}



  catch { destroy .fenaide }
  toplevel .fenaide
  wm geometry .fenaide 500x350
  wm title .fenaide [::msgcat::mc help:bando]

  #----------------------------------------------
  # Build window and subwindows
  #----------------------------------------------
  set fgraph   [frame .fenaide.panel1]
  set pcmdaide [frame .fenaide.panel2]

  set cgraph $fgraph.canevas
  canvas $cgraph -relief sunken -borderwidth 2 -bg lightblue \
	-xscrollcommand "$fgraph.hscroll set" \
	-yscrollcommand "$fgraph.vscroll set"
  scrollbar $fgraph.hscroll -orient horiz -command "$cgraph xview"
  scrollbar $fgraph.vscroll -command "$cgraph yview"

  grid rowconfig    $fgraph 0 -weight 1 -minsize 0
  grid columnconfig $fgraph 0 -weight 1 -minsize 0

  grid $cgraph -padx 1 -in $fgraph -pady 1 \
      -row 0 -column 0 -rowspan 1 -columnspan 1 -sticky nsew
  grid $fgraph.vscroll -in $fgraph -padx 1 -pady 1 \
      -row 0 -column 1 -rowspan 1 -columnspan 1 -sticky nsew
  grid $fgraph.hscroll -in $fgraph -padx 1 -pady 1 \
      -row 1 -column 0 -rowspan 1 -columnspan 1 -sticky nsew

  button $pcmdaide.butt -text "OK" -command { destroy .fenaide}
  pack $pcmdaide.butt

  pack $fgraph -side top -expand yes -fill both
  pack $pcmdaide  -side top -expand no -fill x

  #----------------------------------------------
  # Insert title
  #----------------------------------------------
  set police_titre [ font create -family Helvetica -weight bold ]

  set x 10
  set y 10
  $cgraph create text $x $y -anchor nw -font $police_titre \
             -text [::msgcat::mc help:gentit]
  incr y 30
  $cgraph create text $x $y -anchor nw -text [::msgcat::mc help:gene]

  incr y 120

  #----------------------------------------------
  # Insert icons and texts
  #----------------------------------------------
  $cgraph create text $x $y -anchor nw -font $police_titre \
             -text [::msgcat::mc help:icotit]

  incr y 30
  insere_icone $cgraph $x $y im_new
  insere_comment $cgraph $x $y [::msgcat::mc help:open]
  incr y 50
  insere_icone $cgraph $x $y im_open
  insere_comment $cgraph $x $y [::msgcat::mc help:import]
  incr y 60
  insere_icone $cgraph $x $y im_save
  insere_comment $cgraph $x $y [::msgcat::mc help:save]

  incr y 60
  insere_icone $cgraph $x $y im_rect
  insere_comment $cgraph $x $y [::msgcat::mc help:shape]
  incr y 42
  insere_icone $cgraph $x $y im_cerc
  incr y 42
  insere_icone $cgraph $x $y im_poly

  incr y 60
  insere_icone $cgraph $x $y im_couleur
  insere_comment $cgraph $x $y [::msgcat::mc help:color]

  incr y 60
  insere_icone $cgraph $x $y im_mapident
  insere_comment $cgraph $x $y [::msgcat::mc help:mapident]


  #----------------------------------------------
  # Insert a few hints
  #----------------------------------------------
  incr y 65
  $cgraph create text $x $y -anchor nw -font $police_titre \
             -text [::msgcat::mc help:acttit]
  incr y 30

  $cgraph create text $x $y -anchor nw -text [::msgcat::mc help:action]
             
 incr y 80
 $cgraph config -scrollregion "0 0 500 $y"
